Bug 225216 - security/py-pycryptodome: Parameterize namespace and transfer maintainership
Summary: security/py-pycryptodome: Parameterize namespace and transfer maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords: easy, patch-ready
Depends on:
Blocks: 225217
  Show dependency treegraph
 
Reported: 2018-01-16 14:49 UTC by John W. O'Brien
Modified: 2018-06-17 01:21 UTC (History)
4 users (show)

See Also:
john: maintainer-feedback? (yuri)


Attachments
security/py-pycryptodome: Prep for slave, CONFLICT with security/py-pycrypto (1.46 KB, patch)
2018-01-16 14:49 UTC, John W. O'Brien
no flags Details | Diff
security/py-pycryptodome: Slave prep, CONFLICTS, take maintainership (1.46 KB, patch)
2018-01-18 02:06 UTC, John W. O'Brien
no flags Details | Diff
security/py-pycryptodome: Upgrade to 3.4.11, etc (2.00 KB, patch)
2018-02-04 16:15 UTC, John W. O'Brien
no flags Details | Diff
security/py-pycryptodome: Parameterize namespace and take maintainership (1.41 KB, patch)
2018-03-04 16:30 UTC, John W. O'Brien
john: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2018-01-16 14:49:22 UTC
Created attachment 189797 [details]
security/py-pycryptodome: Prep for slave, CONFLICT with security/py-pycrypto

Changelog
=========

*   Set a few variables with "?=" instead of "=" to avoid overwriting variables the new slave port will need to set for itself.
*   Define a new NAMESPACE variable that the slave can override for the
STRIP_CMD in the post-install target.
*   While here, register CONFLICTS with security/py-pycrypto
*   Bump PORTREVISION because of the new CONFLICTS.


QA
==

portlint: OK
poudriere: OK -- testport w/py27 (default), py34, py35, py36
Comment 1 John W. O'Brien 2018-01-18 02:06:20 UTC
Created attachment 189873 [details]
security/py-pycryptodome: Slave prep, CONFLICTS, take maintainership

Update patch to take maintainership.
Comment 2 John W. O'Brien 2018-02-04 16:15:04 UTC
Created attachment 190317 [details]
security/py-pycryptodome: Upgrade to 3.4.11, etc

Changelog
=========

*   Upgrade to 3.4.11
*   Take maintainership
*   Register CONFLICTS_INSTALL with security/py-pycrypto
*   Prepare for security/py-pycryptodomex slave port

QA
==

portlint: OK
poudriere: OK -- testport on 10.4R amd64 w/py27 (default), py34, py35, py36
Comment 3 Yuri Victorovich freebsd_committer 2018-02-24 10:37:36 UTC
John,


Could you please also attach here the shar of security/py-pycryptodomex slave port?

I can commit them together. The whole picture will be more obvious.

Thanks!
Yuri
Comment 4 Yuri Victorovich freebsd_committer 2018-03-04 05:46:32 UTC
ping
Comment 5 John W. O'Brien 2018-03-04 16:30:51 UTC
(In reply to Yuri Victorovich from comment #3)

The patch to add security/py-cryptodomex is available as the current attachment to bug #225217.

All hunks of the current patch on this bug may be committed independently prior to landing that one. Already, ports r462447 landed the CONFLICTS hunk and ports r461337 landed the upgrade to 3.4.11 hunks.

It is your prerogative as a committer to combine patches from multiple bugs if you believe it is necessary. It is not necessary in this case.
Comment 6 John W. O'Brien 2018-03-04 16:30:59 UTC
Created attachment 191203 [details]
security/py-pycryptodome: Parameterize namespace and take maintainership

Rebase patch on latest commit.
Comment 7 commit-hook freebsd_committer 2018-06-17 01:21:49 UTC
A commit references this bug:

Author: yuri
Date: Sun Jun 17 01:21:46 UTC 2018
New revision: 472580
URL: https://svnweb.freebsd.org/changeset/ports/472580

Log:
  security/py-pycryptodome: Make namespace changeable by slave ports

  Also transfer maintainership to john@saltant.com.

  PR:		225216
  Submitted by:	John W. O'Brien <john@saltant.com>

Changes:
  head/security/py-pycryptodome/Makefile
Comment 8 Yuri Victorovich freebsd_committer 2018-06-17 01:21:59 UTC
Committed, thanks!